> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/connected-accounts-beta/rename-connected-account",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Rename Connected Account

> Rename a connected account by account ID.

**Note:** This endpoint is currently in beta and might be subject to changes.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /connected_accounts/{accountId}/rename
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /connected_accounts/{accountId}/rename:
    post:
      tags:
        - Connected Accounts (Beta)
      summary: Rename Connected Account
      description: >
        Rename a connected account by account ID.


        **Note:** This endpoint is currently in beta and might be subject to
        changes.
      operationId: renameConnectedAccount
      parameters:
        - name: accountId
          in: path
          required: true
          description: The unique identifier of the connected account
          schema:
            type: string
            minLength: 1
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RenameConnectedAccountRequest'
      responses:
        '200':
          description: Successfully renamed connected account.
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RenameConnectedAccountResponse'
        '400':
          description: Bad request. Missing tenantId, accountId, or accountName.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectedAccountErrorResponse'
        '401':
          description: Unauthorized. Missing / invalid JWT token in Authorization header.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectedAccountErrorResponse'
        '403':
          description: Failed to rename connected account.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectedAccountErrorResponse'
        '404':
          description: Connected account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectedAccountErrorResponse'
        '409':
          description: Conflict. Account name is already in use by another account.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectedAccountErrorResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<RenameConnectedAccountResponse>> =
            fireblocks.connectedAccountsBeta.renameConnectedAccount(connectedAccountsBetaApiRenameConnectedAccountRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<RenameConnectedAccountResponse>>
            response =
            fireblocks.connectedAccountsBeta().renameConnectedAccount(renameConnectedAccountRequest,
            accountId, idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.connected_accounts_beta.rename_connected_account(rename_connected_account_request,
            account_id, idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    RenameConnectedAccountRequest:
      type: object
      required:
        - accountName
      properties:
        accountName:
          type: string
          description: The new name for the connected account
          example: My Trading Account
    RenameConnectedAccountResponse:
      type: string
      description: Status of the rename operation
      enum:
        - SUCCESS
        - UNAUTHORISED__USER
        - UNAUTHORISED__DEVICE
        - INVALID_UNMANAGED_WALLET
        - INVALID_EXCHANGE_ACCOUNT
        - NO_ACTIVE_ADMINS
        - TIMEOUT
        - INVALID_PARAMETERS
        - INTERNAL_ERROR
        - INVALID_CREDENTIALS
        - INVALID_OTP
        - INVALID_OTP_METHOD
        - INVALID_NETWORK_CONNECTION
        - NETWORK_CONNECTION_EXISTS
        - INVALID_CREDENTIALS__UNSUPPORTED_PROVIDER
        - UNSUPPORTED_ALGORITHM
        - INVALID_CREDENTIALS__IP_WHITELISTING
        - INVALID_CREDENTIALS__OTP_FAILED
        - UNSUPPORTED_ASSET
        - ASSET_ALREADY_EXISTS
        - ENV_UNSUPPORTED_ASSET
        - NO_CONFIG_CHANGE_NEEDED
        - SIMILAR_REQUEST_ALREADY_PENDING
        - CLOUD_COSIGNER_ALREADY_EXISTS
        - ILLEGAL_OPERATION
        - OVERRIDING_PENDING_REQUEST
        - OWNER_NOT_IN_GROUP
        - INVALID_THIRD_PARTY_ACCOUNT_HIERARCHY
        - EXTERNAL_KEY_VALIDATION_FAILED
        - NO_AVAILABLE_EXTERNAL_KEYS
        - INVALID_PROOF_OF_OWNERSHIP_SIGNATURE
        - USER_HAS_EXTERNAL_KEYS
        - SCHEMA_ALREADY_EXISTS
        - SCHEMA_ID_OUT_OF_RANGE
        - FORBIDDEN_SSO_IDP_DOMAIN
        - UNKNOWN_ERROR
      example: SUCCESS
    ConnectedAccountErrorResponse:
      type: object
      properties:
        errorMessage:
          type: string
          description: Error message describing what went wrong
          example: Insufficient permissions to rename connected account
        errorCode:
          type: string
          description: Error code identifying the type of error
          example: INSUFFICIENT_PERMISSIONS
      required:
        - errorMessage
        - errorCode
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````